Update Instance Ports
curl --request PUT \
--url https://api.novita.ai/gpus/v2/instances/{instance_id}/ports \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"ports": [
{
"port": 8080,
"protocol": "tcp"
},
{
"port": 8888,
"protocol": "http"
}
]
}
'import requests
url = "https://api.novita.ai/gpus/v2/instances/{instance_id}/ports"
payload = { "ports": [
{
"port": 8080,
"protocol": "tcp"
},
{
"port": 8888,
"protocol": "http"
}
] }
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({ports: [{port: 8080, protocol: 'tcp'}, {port: 8888, protocol: 'http'}]})
};
fetch('https://api.novita.ai/gpus/v2/instances/{instance_id}/ports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Instance
Update Instance Ports
PUT
/
gpus
/
v2
/
instances
/
{instance_id}
/
ports
Update Instance Ports
Headers
Allowed value: application/json.
Bearer authentication format, e.g.: Bearer {{API_KEY}}.
Path Parameters
Instance ID. String, length: 1-255 characters.
Body
application/json
Exposed port list. Replaces the entire port set on the instance.
Show child attributes
Show child attributes
Example:
[
{ "port": 8080, "protocol": "tcp" },
{ "port": 8888, "protocol": "http" }
]Response
200 - application/json
OK
The response is of type object.
Last modified on June 26, 2026
Was this page helpful?
⌘I